Skip to main content
`Ctrl`+`K`

# KSPRichardsonSetScale

Set the damping factor; if this routine is not called, the factor defaults to 1.0.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPRichardsonSetScale(KSP ksp, PetscReal scale)

Logically Collective

## Input Parameters

- ksp - the iterative context

- scale - the damping factor

## Options Database Key

- -ksp_richardson_scale - Set the scale factor

## See Also

KSP: Linear System Solvers, `KSPRICHARDSON`, `KSPRichardsonSetSelfScale()`

## Level

intermediate

## Location

src/ksp/ksp/impls/rich/richscale.c

## Implementations

KSPRichardsonSetScale_Richardson() in src/ksp/ksp/impls/rich/rich.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages